#include <stdio.h>
#include <string.h>

char nas[510][510];

int dlzka( char *x)
{
    int i;
    for ( i=0; i<509; i++)
	if ( x[508-i] == 0) break;
	
    while ( x[508-i+1] == '0' && i > 1) i--;
    return i;
}


void scitaj( char *a, char *b, char *x)
{
    memset( x, 0, 510);
    
    int bn = strlen( b);
    int an = strlen( a);
    int zvysok = 0;
    int i;
    for ( i = 0; i < bn; i++)
    {
	if ( i >= an)
	    x[ 508 - i] = '0' + b[ bn - 1 - i] -'0' + zvysok;
	    else
	x[ 508 - i] = a[ an - 1 - i] + b[ bn - 1 - i] -'0' + zvysok;
	zvysok = 0;
	while ( x[508-i] > '9')
        {
		zvysok ++;
		x[508-i] -= 10;
	}
    }
    
    while (zvysok > 0 || i < an)
    {
	if ( i<an) x[ 508 - i] = a[ an - 1 - i] + zvysok;
		else x[508-i] = '0' + zvysok;
	zvysok = 0;
	while ( x[508-i] > '9')
        {
		zvysok ++;
		x[508-i] -= 10;
	}
	i++;
    }
}

void odcitaj( char *a, char *b, char *x)
{
    memset( x, 0, 510);
    
    int bn = strlen( b);
    int an = strlen( a);
    int zvysok = 0;
    int i;
    for ( i = 0; i < bn; i++)
    {
	x[ 508 - i] = '0' + a[ an - 1 - i] - b[ bn - 1 - i] - zvysok;
	zvysok = 0;
	while ( x[508-i] < '0')
        {
		zvysok++;
		x[508-i] += 10;
	}
    }
    
    while (zvysok > 0 || i < an)
    {
	if ( i<an) x[ 508 - i] = a[ an - 1 - i] - zvysok;
		else x[508-i] = '0' - zvysok;
	zvysok = 0;
	while ( x[508-i] < '0')
        {
		zvysok ++;
		x[508-i] += 10;
	}
	i++;
    }
}

void nasob( char *a, char *b, char *x)
{
    char sum1[ 510];
    char sum2[ 510];
    
    int bn = strlen( b);
    int an = strlen( a);
    
    for ( int j = 0; j < bn; j++)
    {
//	memset( sum1, 
	int i;
	int zvysok = 0;
	for ( i = 0; i < an; i++)
        {
	    nas[j][ 508 - i] = '0' + (a[ an - 1 - i] - '0') * (b[ bn - 1 -j] -'0') + zvysok;
	    zvysok = 0;
	    while ( nas[j][508-i] > '9')
    	    {
	    	    zvysok ++;
		    nas[j][508-i] -= 10;
	    }
	}
    
        while (zvysok > 0 || i < an)
	{
	    if ( i<an) nas[j][ 508 - i] = a[ an - 1 - i] + zvysok;
		    else nas[j][508-i] = '0' + zvysok;
	    zvysok = 0;
	    while ( nas[j][508-i] > '9')
    	    {
		zvysok ++;
		nas[j][508-i] -= 10;
	    }
	    i++;
	}

    }
    
    memcpy( sum1, nas[0], 510);
    for ( int i = 1; i < bn; i++)
    {
	int dlz = dlzka( nas[i]);
	memmove( nas[i], nas[i]+i, 509-i);
	memset( &(nas[i][0]) + 508 - i, '0', i);
	
        scitaj( sum1 + 509 - dlzka(sum1), &(nas[i][0]) + 509 - dlz - i, sum2);
        memcpy( sum1, sum2, 510);
    }
    memcpy( x, sum1, 510);
}


int main()
{
    int n;
    scanf( "%d\n", &n);
    
    char s[1020];
    char *a;
    char *b;
    char *z;
    char x[510];
    char op;
    
    while (n--)
    {
	gets( s);
	
	a = s;
	
	if ( (z = strstr( s, "+")) != 0)
	{
	    op = '+';
	    *z = 0;
	    b = z+1;
	}
	if ( (z=strstr(s,"-")) != 0)
	{
	    op = '-';
	    *z = 0;
	    b = z+1;
	}
	if ( (z=strstr(s,"*")) != 0)
	{
	    op = '*';
	    *z = 0;
	    b = z+1;
	}
	
	switch (op)
	{
	case '+':
		scitaj( a, b, x);
		break;
	case '-':
		odcitaj( a, b, x);
		break;
	case '*':
		nasob( a, b, x);
		break;	
	}
	
	int an = strlen( a);
	int bn = strlen( b);
	int xn = dlzka( x);
	int aligna = an > bn+1 ? an : bn+1;
	int align = xn > aligna ? xn : aligna;
	
	int i;
	for ( i = 0; i < align - an; i++)
		printf( " ");
	printf( "%s\n", a);
	for ( i = 0; i < align - bn - 1; i++)
		printf( " ");
	printf( "%c", op);		
	printf( "%s\n", b);

	for ( i = 0; i < align; i++)
		printf( "-");
	printf( "\n");
	
	if ( op == '*' && bn > 1)
	{
	    for ( int j = 0; j < bn; j++)
	    {
	        int nasn = dlzka( nas[j]);
		for ( i=0; i < align-nasn-j; i++)
		    printf( " ");
		nas[j][509-j+1] = 0;
		printf( "%s\n", &(nas[j][509-nasn]));
	    }
         	for ( i = 0; i < align; i++)
			printf( "-");
		printf( "\n");
	    
	}

	for ( i = 0; i < align -xn; i++)
	    printf( " ");
	printf( "%s\n\n", x+509-xn);
	
	    
    }
    
    
    return 0;
}