#include <stdio.h>
#include <string.h>

//#define EPS 0.000001

void dump(double P[100][100], int x, int y)
{
  for (int i = 0; i < x; i++)
  {
    for (int j = 0; j < y; j++)
      printf("%4f ", P[i][j]);
    printf("\n");
  }
} 

double koef[100];
double P[100][100];
int bolo[100];
int post[100];

void solve(int f)
{
  int i,j;
  memset(bolo, 0, sizeof(bolo));

    for (i = 0; i < f; i++)
      P[i][f] = post[i];
      
    for (i = 0; i < f; i++)
    {
      int n = 1;
      for (j = 0; j < f; j++)
      {
        P[i][j] = n;
	n *= i + 1;
      } 
    }
//    dump(P, S, S+ 1);
    int r,s, r1,s1;
    for (s = f-1; s >= 0; s--)
    {
      for (r = f-1; r >= 0; r--)
        if ((!bolo[r]))
	  break;
      bolo[r] = 1;
      double norm = P[r][s];
      for (s1 = 0; s1 <= f; s1++)
        P[r][s1] /= norm;
      for (r1 = 0; r1 < f; r1++)
      {
        if (r1 == r)
	  continue;
	double kill = P[r1][s]/P[r][s];
	for (s1 = 0; s1 <= f; s1++)
	  P[r1][s1] -= kill * P[r][s1];  
      }
    }
    
    memset(koef, 0, sizeof(koef));
/*    for (s = 0; s < f; s++)
      for (r = 0; r < f; r++)
        if (fabs(P[r][s]) > EPS)
	{
	  koef[s] = P[r][f];
	  break;
	}*/
    for (s = 0; s < f; s++)
      koef[s] = P[s][f];
}

int comp(int N, int f)
{
  int s;
      double res = 0;
      int n = 1;
      for (s = 0; s < f; s++)
      {
        res += koef[s] * n;
	n *= N;
      }
     return (int) (res + 0.5);
}

void sol(int S, int C)
{
  int s1;
    for (s1 = 0; s1 < C; s1++)
    {
      printf("%d ", comp(S + s1 + 1, S));
    }
    printf("\n");
}

int test(int f, int S)
{
//  printf("test %d\n", f);
  int s1;
  for (s1 = f; s1 < S; s1++)
  {
//    printf("%d %d\n", comp(s1 + 1, f), post[s1]);
    if (comp(s1 + 1, f) != post[s1])
      return 0;
  }
  return 1;
    
}

int main()
{
  int T;
  scanf("%d", &T);  
//  memset(P, 0 , sizeof(P));
  
  while (T--)
  {
    int S, C;
    int i,f;

    scanf("%d %d", &S, &C);
    
    for (i = 0; i < S; i++)
      scanf("%d", &post[i]);
      
    for (f = 1; f <= S; f++)
    {
      solve(f);
      if (test(f,S))
      {
//        dump(P, S, S+1);
        sol(S, C);
	printf("%d\n", f);
	break;
      }
    } 
    
  }
}